<mamecheat version="1">

  <cheat desc="Infinite Time">
    <script state="run">
      <action>maincpu.pw@E00FD=095A</action>
    </script>
  </cheat>

  <cheat desc="Invincibility"> <comment>Use in conjuction with the 'Always have Hard Hat'</comment>
    <script state="run">
      <action>maincpu.pb@E0C08=00|(maincpu.pb@E0C08 BAND ~01)</action>
    </script>
  </cheat>

  <cheat desc="Always have Hard Hat">
    <script state="run">
      <action>maincpu.pb@E0C09=01|(maincpu.pb@E0C09 BAND ~01)</action>
    </script>
  </cheat>

  <cheat desc="Select Starting Stage">
    <parameter min="1" max="6" step="1"/>
    <script state="run">
      <action condition="(maincpu.pb@E0A48==00)">maincpu.pb@E0A48=(param-1)</action>
    </script>
  </cheat>

  <cheat desc="Always have Big Hammer">
    <script state="run">
      <action>maincpu.pb@E0C08=80|(maincpu.pb@E0C08 BAND ~80)</action>
    </script>
  </cheat>

  <cheat desc=" "/>

  <cheat desc="Infinite Lives PL1">
    <script state="run">
      <action>maincpu.pb@E0A47=0A</action>
    </script>
  </cheat>

  <cheat desc="Infinite Lives PL2">
    <script state="run">
      <action>maincpu.pb@E0A57=0A</action>
    </script>
  </cheat>

</mamecheat>
<!-- Cheat file downloaded from http://www.mamecheat.co.uk, see cheat.txt for list of contributors. -->
